<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/water.css@2/out/water.css"/>
        <title>Omega Bank – Account Details</title>
    </head>
    <body>
        <h2>{{ account.accountName }}</h2>
        <hr/>
        <table>
            <tr>
                <th><h3>Current Balance:</h3></th>
            </tr>
            <tr>
                <td><h1>$ {{ account.balance|floatformat:"2" }}</h1></td>
            </tr>
        </table>

        <details>
            <summary>
                View Account Details
            </summary>
            <p>
            <table>
                <tr>
                    <th>Account Name</th>
                    <th>Account Owner</th>
                    <th>Account Number</th>
                </tr>
                <tr>
                    <td>{{ account.accountName }}</td>
                    <td>{{ user.user.first_name }} {{ user.user.last_name }}</td>
                    <td>{{ account.id }}</td>
                </tr>
            </table>
            </p>
        </details>
        <a href="{% url 'bank_app:make_transfer' %}"><button>Create New Transfer</button></a>
        <a href="{% url 'bank_app:customer_portal' %}"><button>Go back to Overview</button></a>

        <h3>Latest Transactions</h3>

        {% if movements %}
        <table>
            <tr>
                <th>Date</th>
                <th>Description</th>
                <th>Amount</th>
            </tr>
            {% for movement in movements %}
            <tr>
                <td>{{ movement.createdAt|date:"d-m-Y" }}</td>
                <td><a href="{% url 'bank_app:movement_details' movement.pk %}">{{ movement.textCredit }}</a></td>
                <td>$ {{ movement.amount }}</td>
            </tr>
            {% endfor %}
        </table>
        {% endif %}
        {% if not movements %}
        <p>Any activity on your account will be shown here.</p>
        {% endif %}
        <hr />
        {{ test }}
    </body>
</html>
